summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-admin/ansible-lint/Manifest1
-rw-r--r--app-admin/ansible-lint/ansible-lint-5.3.0.ebuild48
-rw-r--r--media-plugins/audacious-plugins/audacious-plugins-9999.ebuild165
-rw-r--r--media-plugins/audacious-plugins/metadata.xml10
-rw-r--r--media-sound/audacious/audacious-9999.ebuild81
-rw-r--r--media-sound/audacious/metadata.xml10
-rw-r--r--net-dialup/rp-pppoe/metadata.xml2
-rw-r--r--net-dialup/rp-pppoe/rp-pppoe-3.15-r1.ebuild89
-rw-r--r--net-libs/librsync/Manifest1
-rw-r--r--net-libs/librsync/librsync-2.3.1.ebuild27
-rw-r--r--profiles/base/package.use.mask5
-rw-r--r--sci-mathematics/petsc/Manifest2
-rw-r--r--sci-mathematics/petsc/files/petsc-3.16.0-fix_sandbox_violation.patch15
-rw-r--r--sci-mathematics/petsc/petsc-3.16.0.ebuild192
-rw-r--r--sys-kernel/linux-headers/linux-headers-5.15-r1.ebuild (renamed from sys-kernel/linux-headers/linux-headers-5.15.ebuild)5
-rw-r--r--www-client/google-chrome-beta/Manifest2
-rw-r--r--www-client/google-chrome-beta/google-chrome-beta-97.0.4692.36.ebuild (renamed from www-client/google-chrome-beta/google-chrome-beta-97.0.4692.20.ebuild)0
-rw-r--r--www-client/google-chrome-unstable/Manifest2
-rw-r--r--www-client/google-chrome-unstable/google-chrome-unstable-98.0.4736.0.ebuild (renamed from www-client/google-chrome-unstable/google-chrome-unstable-98.0.4710.4.ebuild)0
-rw-r--r--www-client/w3m/Manifest2
-rw-r--r--www-client/w3m/files/w3m-img-fb.patch10
-rw-r--r--www-client/w3m/w3m-0.5.3_p20180125.ebuild129
-rw-r--r--www-client/w3m/w3m-0.5.3_p20190105.ebuild127
-rw-r--r--www-plugins/chrome-binary-plugins/Manifest4
-rw-r--r--www-plugins/chrome-binary-plugins/chrome-binary-plugins-97.0.4692.36_beta.ebuild (renamed from www-plugins/chrome-binary-plugins/chrome-binary-plugins-97.0.4692.20_beta.ebuild)0
-rw-r--r--www-plugins/chrome-binary-plugins/chrome-binary-plugins-98.0.4736.0_alpha.ebuild (renamed from www-plugins/chrome-binary-plugins/chrome-binary-plugins-98.0.4710.4_alpha.ebuild)0
26 files changed, 376 insertions, 553 deletions
diff --git a/app-admin/ansible-lint/Manifest b/app-admin/ansible-lint/Manifest
index ea0578376e92..0a602eb8be5b 100644
--- a/app-admin/ansible-lint/Manifest
+++ b/app-admin/ansible-lint/Manifest
@@ -1 +1,2 @@
DIST ansible-lint-5.2.1.tar.gz 356071 BLAKE2B 70c54114a667ba63c1d285ec8a73a7c3332f89cbdf1b8d4866de86aa2c358e41759ac69188806c715cbd3893a2d0b1123e6b679ed208ce4c40141a40b9f54681 SHA512 9ae1aa775572485aaa68ef127cb2ea2d66cd1057878ac396b1644244a070f05b7920eceec3cdb16523f9fadcbcb5df971f3513d7e4d9cbd6ace1ec4f4d861451
+DIST ansible-lint-5.3.0.tar.gz 355745 BLAKE2B 3f161a91a5cf8f0efedd7a928f55c2680f20e0e35b4d1be466435a65a38e6af0ecff8fe86702a6a71e544925e58a2bb3df758c93c4af8841661c0bb240a7a21d SHA512 862c40472dc00b9685fda62740fbe5b2dfa48adec10322c185eeb436f7dce800a95c478f9eb926f328a501df45a885946bc38190bb28c33ced8edfa17384c0fb
diff --git a/app-admin/ansible-lint/ansible-lint-5.3.0.ebuild b/app-admin/ansible-lint/ansible-lint-5.3.0.ebuild
new file mode 100644
index 000000000000..a5036ce2dc07
--- /dev/null
+++ b/app-admin/ansible-lint/ansible-lint-5.3.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..9} )
+DISTUTILS_USE_SETUPTOOLS=pyproject.toml
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Checks ansible playbooks for practices and behaviour that can be improved"
+HOMEPAGE="https://github.com/ansible-community/ansible-lint"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+# 14 tests fail due to usersandbox denying the executable 'ansible'
+# access to $HOME/.ansible. More importantly, some tests (6 as of 5.2.1)
+# fail even when run manually with tox.
+RESTRICT="test"
+
+RDEPEND="
+ >=app-admin/ansible-2.10[${PYTHON_USEDEP}]
+ >=app-admin/ansible-base-2.11.4[${PYTHON_USEDEP}]
+ >=dev-python/enrich-1.2.6[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/rich-9.5.1[${PYTHON_USEDEP}]
+ >=dev-python/ruamel-yaml-0.15.37[${PYTHON_USEDEP}]
+ dev-python/tenacity[${PYTHON_USEDEP}]
+ >=dev-python/wcmatch-7.0[${PYTHON_USEDEP}]"
+BDEPEND="
+ >=dev-python/setuptools_scm-1.15.0[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm_git_archive-1.0[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/flaky-3.7.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-2.1.0[${PYTHON_USEDEP}]
+ >=dev-util/yamllint-1.25.0[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests --install pytest
+
+pkg_postinst() {
+ optfeature_header "Consider installing the following optional packages:"
+ optfeature "letting ${PN} run YAML checks" dev-util/yamllint
+}
diff --git a/media-plugins/audacious-plugins/audacious-plugins-9999.ebuild b/media-plugins/audacious-plugins/audacious-plugins-9999.ebuild
deleted file mode 100644
index b5081063135c..000000000000
--- a/media-plugins/audacious-plugins/audacious-plugins-9999.ebuild
+++ /dev/null
@@ -1,165 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-MY_P="${P/_/-}"
-
-if [[ ${PV} == *9999 ]]; then
- inherit autotools git-r3
- EGIT_REPO_URI="https://github.com/audacious-media-player/audacious-plugins.git"
-else
- SRC_URI="https://distfiles.audacious-media-player.org/${MY_P}.tar.bz2"
- KEYWORDS="~amd64 ~riscv ~x86"
-fi
-DESCRIPTION="Lightweight and versatile audio player"
-HOMEPAGE="https://audacious-media-player.org/"
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="aac +alsa ampache bs2b cdda cue ffmpeg flac fluidsynth gme http jack
- lame libnotify libsamplerate lirc mms modplug mp3 nls opengl pulseaudio
- scrobbler sdl sid sndfile soxr speedpitch streamtuner vorbis wavpack X"
-REQUIRED_USE="ampache? ( http ) streamtuner? ( http )"
-
-# The following plugins REQUIRE a GUI build of audacious, because non-GUI
-# builds do NOT install the libaudgui library & headers.
-# Plugins without a configure option:
-# alarm
-# albumart
-# delete-files
-# ladspa
-# playlist-manager
-# search-tool
-# skins
-# vtx
-# Plugins with a configure option:
-# glspectrum
-# gtkui
-# hotkey
-# notify
-# statusicon
-BDEPEND="
- dev-util/gdbus-codegen
- virtual/pkgconfig
- nls? ( dev-util/intltool )
-"
-DEPEND="
- app-arch/unzip
- dev-libs/dbus-glib
- dev-libs/glib
- dev-libs/libxml2:2
- dev-qt/qtcore:5
- dev-qt/qtgui:5
- dev-qt/qtmultimedia:5
- dev-qt/qtwidgets:5
- ~media-sound/audacious-${PV}
- aac? ( >=media-libs/faad2-2.7 )
- alsa? ( >=media-libs/alsa-lib-1.0.16 )
- ampache? ( =media-libs/ampache_browser-1* )
- bs2b? ( media-libs/libbs2b )
- cdda? (
- dev-libs/libcdio:=
- dev-libs/libcdio-paranoia:=
- >=media-libs/libcddb-1.2.1
- )
- cue? ( media-libs/libcue:= )
- ffmpeg? ( >=media-video/ffmpeg-0.7.3 )
- flac? (
- >=media-libs/flac-1.2.1-r1
- >=media-libs/libvorbis-1.0
- )
- fluidsynth? ( media-sound/fluidsynth:= )
- http? ( >=net-libs/neon-0.26.4 )
- jack? (
- >=media-libs/bio2jack-0.4
- virtual/jack
- )
- lame? ( media-sound/lame )
- libnotify? ( x11-libs/libnotify )
- libsamplerate? ( media-libs/libsamplerate:= )
- lirc? ( app-misc/lirc )
- mms? ( >=media-libs/libmms-0.3 )
- modplug? ( media-libs/libmodplug )
- mp3? ( >=media-sound/mpg123-1.12.1 )
- opengl? ( dev-qt/qtopengl:5 )
- pulseaudio? ( >=media-sound/pulseaudio-0.9.3 )
- scrobbler? ( net-misc/curl )
- sdl? ( media-libs/libsdl2[sound] )
- sid? ( >=media-libs/libsidplayfp-1.0.0 )
- sndfile? ( >=media-libs/libsndfile-1.0.17-r1 )
- soxr? ( media-libs/soxr )
- speedpitch? ( media-libs/libsamplerate:= )
- streamtuner? ( dev-qt/qtnetwork:5 )
- vorbis? (
- >=media-libs/libogg-1.1.3
- >=media-libs/libvorbis-1.2.0
- )
- wavpack? ( >=media-sound/wavpack-4.50.1-r1 )
- X? ( dev-qt/qtx11extras:5 )
-"
-RDEPEND="${DEPEND}"
-
-S="${WORKDIR}/${MY_P}"
-
-pkg_setup() {
- use mp3 || ewarn "MP3 support is optional, you may want to enable the mp3 USE-flag"
-}
-
-src_prepare() {
- default
- if ! use nls; then
- sed -e "/SUBDIRS/s/ po//" -i Makefile || die # bug #512698
- fi
- [[ ${PV} == *9999 ]] && eautoreconf
-}
-
-src_configure() {
- local myeconfargs=(
- --enable-mpris2
- --enable-qt
- --enable-qtaudio
- --enable-songchange
- --disable-adplug # not packaged
- --disable-gtk
- --disable-openmpt # not packaged
- --disable-oss4
- --disable-coreaudio
- --disable-sndio
- $(use_enable aac)
- $(use_enable alsa)
- $(use_enable ampache)
- $(use_enable bs2b)
- $(use_enable cdda cdaudio)
- $(use_enable cue)
- $(use_enable flac)
- $(use_enable flac filewriter)
- $(use_enable fluidsynth amidiplug)
- $(use_enable gme console)
- $(use_enable http neon)
- $(use_enable jack)
- $(use_enable lame filewriter_mp3)
- $(use_enable libnotify notify)
- $(use_enable libsamplerate resample)
- $(use_enable lirc)
- $(use_enable mms)
- $(use_enable modplug)
- $(use_enable mp3 mpg123)
- $(use_enable nls)
- $(use_enable opengl qtglspectrum)
- $(use_enable pulseaudio pulse)
- $(use_enable scrobbler scrobbler2)
- $(use_enable sdl sdlout)
- $(use_enable sid)
- $(use_enable sndfile)
- $(use_enable soxr)
- $(use_enable speedpitch)
- $(use_enable streamtuner)
- $(use_enable vorbis)
- $(use_enable wavpack)
- $(use_enable X qthotkey)
- $(use_with ffmpeg ffmpeg ffmpeg)
- )
-
- econf "${myeconfargs[@]}"
-}
diff --git a/media-plugins/audacious-plugins/metadata.xml b/media-plugins/audacious-plugins/metadata.xml
index 4b02187d54c0..48c147d9acdd 100644
--- a/media-plugins/audacious-plugins/metadata.xml
+++ b/media-plugins/audacious-plugins/metadata.xml
@@ -1,9 +1,13 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>asturm@gentoo.org</email>
- <name>Andreas Sturmlechner</name>
+ <maintainer type="person" proxied="yes">
+ <email>marco@scardovi.com</email>
+ <name>Marco Scardovi</name>
+ </maintainer>
+ <maintainer type="project" proxied="proxy">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
</maintainer>
<maintainer type="project">
<email>sound@gentoo.org</email>
diff --git a/media-sound/audacious/audacious-9999.ebuild b/media-sound/audacious/audacious-9999.ebuild
deleted file mode 100644
index a292996186c1..000000000000
--- a/media-sound/audacious/audacious-9999.ebuild
+++ /dev/null
@@ -1,81 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-MY_P="${P/_/-}"
-
-if [[ ${PV} == *9999 ]]; then
- inherit autotools git-r3
- EGIT_REPO_URI="https://github.com/audacious-media-player/audacious.git"
-else
- SRC_URI="https://distfiles.audacious-media-player.org/${MY_P}.tar.bz2"
- KEYWORDS="~amd64 ~riscv ~x86"
-fi
-inherit xdg
-
-DESCRIPTION="Lightweight and versatile audio player"
-HOMEPAGE="https://audacious-media-player.org/"
-SRC_URI+=" mirror://gentoo/gentoo_ice-xmms-0.2.tar.bz2"
-
-LICENSE="BSD-2"
-SLOT="0"
-IUSE="nls"
-
-BDEPEND="
- virtual/pkgconfig
- nls? ( dev-util/intltool )
-"
-DEPEND="
- >=dev-libs/dbus-glib-0.60
- >=dev-libs/glib-2.28
- dev-qt/qtcore:5
- dev-qt/qtgui:5
- dev-qt/qtwidgets:5
- >=x11-libs/cairo-1.2.6
- >=x11-libs/pango-1.8.0
- virtual/freedesktop-icon-theme
-"
-RDEPEND="${DEPEND}"
-PDEPEND="~media-plugins/audacious-plugins-${PV}"
-
-S="${WORKDIR}/${MY_P}"
-
-src_unpack() {
- default
- [[ ${PV} == *9999 ]] && git-r3_src_unpack
-}
-
-src_prepare() {
- default
- if ! use nls; then
- sed -e "/SUBDIRS/s/ po//" -i Makefile || die # bug #512698
- fi
- [[ ${PV} == *9999 ]] && eautoreconf
-}
-
-src_configure() {
- # D-Bus is a mandatory dependency, remote control,
- # session management and some plugins depend on this.
- # Building without D-Bus is *unsupported* and a USE-flag
- # will not be added due to the bug reports that will result.
- # Bugs #197894, #199069, #207330, #208606
- local myeconfargs=(
- --disable-valgrind
- --disable-gtk
- --enable-dbus
- --enable-qt
- $(use_enable nls)
- )
- econf "${myeconfargs[@]}"
-}
-
-src_install() {
- default
-
- # Gentoo_ice skin installation; bug #109772
- insinto /usr/share/audacious/Skins/gentoo_ice
- doins -r "${WORKDIR}"/gentoo_ice/.
- docinto gentoo_ice
- dodoc "${WORKDIR}"/README
-}
diff --git a/media-sound/audacious/metadata.xml b/media-sound/audacious/metadata.xml
index 48fde7d07198..3e3caa0614e6 100644
--- a/media-sound/audacious/metadata.xml
+++ b/media-sound/audacious/metadata.xml
@@ -1,9 +1,13 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>asturm@gentoo.org</email>
- <name>Andreas Sturmlechner</name>
+ <maintainer type="person" proxied="yes">
+ <email>marco@scardovi.com</email>
+ <name>Marco Scardovi</name>
+ </maintainer>
+ <maintainer type="project" proxied="proxy">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
</maintainer>
<maintainer type="project">
<email>sound@gentoo.org</email>
diff --git a/net-dialup/rp-pppoe/metadata.xml b/net-dialup/rp-pppoe/metadata.xml
index 77a87ef4abda..6bde8ba5af3b 100644
--- a/net-dialup/rp-pppoe/metadata.xml
+++ b/net-dialup/rp-pppoe/metadata.xml
@@ -9,4 +9,4 @@
<email>base-system@gentoo.org</email>
<name>Gentoo Base System</name>
</maintainer>
- </pkgmetadata>
+</pkgmetadata>
diff --git a/net-dialup/rp-pppoe/rp-pppoe-3.15-r1.ebuild b/net-dialup/rp-pppoe/rp-pppoe-3.15-r1.ebuild
new file mode 100644
index 000000000000..dba2eeb9b98f
--- /dev/null
+++ b/net-dialup/rp-pppoe/rp-pppoe-3.15-r1.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools readme.gentoo-r1 toolchain-funcs
+
+PATCHES="${PN}-3.14-patches-01"
+
+DESCRIPTION="A user-mode PPPoE client and server suite for Linux"
+HOMEPAGE="https://dianne.skoll.ca/projects/rp-pppoe/"
+SRC_URI="https://dianne.skoll.ca/projects/rp-pppoe/download/${P}.tar.gz
+ https://dev.gentoo.org/~polynomial-c/dist/${PATCHES}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="tk"
+
+RDEPEND="
+ net-dialup/ppp:=
+ sys-apps/iproute2
+ tk? ( dev-lang/tk:= )
+"
+DEPEND=">=sys-kernel/linux-headers-2.6.25
+ ${RDEPEND}"
+
+DOC_CONTENTS="Use pppoe-setup to configure your dialup connection"
+
+pkg_setup() {
+ # This is needed in multiple phases
+ PPPD_VER="$(best_version net-dialup/ppp)"
+ PPPD_VER="${PPPD_VER#*/*-}" #reduce it to ${PV}-${PR}
+ PPPD_VER="${PPPD_VER%%-*}" #reduce it to ${PV}
+
+ PPPD_PLUGIN_DIR="/usr/$(get_libdir)/pppd/${PPPD_VER}"
+}
+
+src_prepare() {
+ if ! use elibc_musl ; then
+ rm "${WORKDIR}/patches/${PN}-3.14-musl.patch" || die
+ fi
+
+ rm "${WORKDIR}/patches/${PN}-3.14-ifconfig-path.patch" || die
+
+ eapply "${WORKDIR}/patches"
+ eapply_user
+
+ cd "${S}"/src || die
+ eautoreconf
+}
+
+src_configure() {
+ addpredict /dev/ppp
+
+ cd src || die
+
+ econf --enable-plugin=/usr/include/pppd
+}
+
+src_compile() {
+ cd src || die
+ emake AR="$(tc-getAR)" PLUGIN_PATH=rp-pppoe.so PLUGIN_DIR="${PPPD_PLUGIN_DIR}"
+
+ if use tk ; then
+ emake -C "${S}/gui"
+ fi
+}
+
+src_install() {
+ cd src || die
+ emake DESTDIR="${D}" docdir="/usr/share/doc/${PF}" PLUGIN_DIR="${PPPD_PLUGIN_DIR}" install
+
+ # We don't need this README file here.
+ rm "${ED}${PPPD_PLUGIN_DIR}/README" || die "Error removing ${PPPD_PLUGIN_DIR}/README from installation"
+
+ if use tk ; then
+ emake -C "${S}/gui" \
+ DESTDIR="${D}" \
+ datadir=/usr/share/doc/${PF}/ \
+ install
+ dosym doc/${PF}/tkpppoe /usr/share/tkpppoe
+ fi
+
+ newinitd "${FILESDIR}"/pppoe-server.initd pppoe-server
+ newconfd "${FILESDIR}"/pppoe-server.confd pppoe-server
+
+ readme.gentoo_create_doc
+}
diff --git a/net-libs/librsync/Manifest b/net-libs/librsync/Manifest
index 7c6add5071e7..efe932cfa246 100644
--- a/net-libs/librsync/Manifest
+++ b/net-libs/librsync/Manifest
@@ -1,2 +1 @@
-DIST librsync-2.3.1.tar.gz 194573 BLAKE2B e18c5d76b45701d881f64bf642ec40844bca507b99ab3161b1bf9446a7a0e2cc954d5d5b37a0d8894fabde2a8f6e2896ef1fc51942cf5c40b2f8a1bb94c20ee0 SHA512 89e5b5ad960b8036acce41df09f5e50601d7eb57d48a2bd21c4ee54a3a375f62ee514036b9a562277b5656735b84cadf6f54cbf48c364bbf0c04f2d95ae3b5a6
DIST librsync-2.3.2.tar.gz 194461 BLAKE2B 72f55c3809c35ee4eff4af03776aed6acfc33cf6109ea8e7fc5cdb4c3919e8f69f156d17ace4443bbb520cbdbe5220df7b5059f00173298839cbb86e0df491c7 SHA512 77d826dbaf02061b759d876a6b537238bad40379a08e4494ebfd3e380b2eb921b7b060bc570330aeac9424ef1a9d521f449d559c9ffa3be24acdef4ad530fe90
diff --git a/net-libs/librsync/librsync-2.3.1.ebuild b/net-libs/librsync/librsync-2.3.1.ebuild
deleted file mode 100644
index 5cdb27d2e655..000000000000
--- a/net-libs/librsync/librsync-2.3.1.ebuild
+++ /dev/null
@@ -1,27 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit cmake-utils
-
-DESCRIPTION="Remote delta-compression library"
-HOMEPAGE="https://librsync.github.io/"
-SRC_URI="https://github.com/librsync/librsync/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="LGPL-2.1"
-SLOT="0/2.2"
-KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
-
-RDEPEND="
- dev-libs/popt
-"
-DEPEND="${RDEPEND}"
-
-src_configure() {
- local mycmakeargs=(
- -DUSE_LIBB2=OFF
- )
-
- cmake-utils_src_configure
-}
diff --git a/profiles/base/package.use.mask b/profiles/base/package.use.mask
index 67ffff076bc3..2d812fb127c9 100644
--- a/profiles/base/package.use.mask
+++ b/profiles/base/package.use.mask
@@ -6,6 +6,11 @@
# This file is only for generic masks. For arch-specific masks (i.e.
# mask everywhere, unmask on arch/*) use arch/base.
+# Wolfgang E. Sanyer <ezzieyguywuf@gmail.com> (2021-12-01)
+# Requires pandoc, which is unstable due to various haskell dependencies
+# (including ghc)
+>=sys-apps/exa-0.10.1 man
+
# Sam James <sam@gentoo.org> (2021-11-26)
# Needs unpackaged asciidoctor-pdf for now
# bug #827290
diff --git a/sci-mathematics/petsc/Manifest b/sci-mathematics/petsc/Manifest
index b8a099ec30dc..66543b456f86 100644
--- a/sci-mathematics/petsc/Manifest
+++ b/sci-mathematics/petsc/Manifest
@@ -1,3 +1,5 @@
DIST petsc-3.13.1.tar.gz 35097687 BLAKE2B fccf64fd3694deffdd0dc561069ffa7e9342fe279b5c9123edeb011df931874083839d27b7b9a0c63faea6487b104b54fd4ce68a88a074c82de91e8baaf270b0 SHA512 41c3138a6ae6c1f2d9077b464c6aeda96287e5a76849582b8f432e2ee93d2594a78ba2181eac0054a77b6165692be5f1a057049313f2be9743d4246383dfdc77
DIST petsc-3.14.6.tar.gz 39719179 BLAKE2B d3047baf87c67eb64ef02c0c54d6313ea06f091b377b3cdf6dcf6d96c7d68cec5958a007ddd84b52a3ab39bfc0adf146307fa1785a10f39386393371186a3fba SHA512 9766e164446ac5a69b8bf761a0e8a235b1a2b85ed9c96a7fd59e668ae4cceb9d9559a38b175b4aa9747e78d7b44d0018a3c02748dcd3d783d28f861f8382d44c
DIST petsc-3.15.0.tar.gz 15976488 BLAKE2B babfbeb05321c9cb2f7d70ef8ffca974a016eae73ca1a3359d9a8d38aa5aa90ff34571169a5711627d738b93f89fdee3d0a0ff1bd0e51cb7300bbb9b0a8675cb SHA512 d1565823d8a5ce5e1c2c576bbe1b4ebf467cef20bbd8e0cf6c303c6c2af2bf902b66c79468f4e125496f9242be4bd6ac162535ee30252cfb902c0d906a6f27c0
+DIST petsc-3.16.0-fftw-without-mpi.patch.bz2 5824 BLAKE2B 59615b1bbaf8ca1da92d7d193a45a2dd434f762cd741d711d4f408183a201a276ac3c968a3e7d740d19212120271701bce52bb7b0f4e311268f40915c81f9dcb SHA512 8e07dfe56a9150ce9a3a5ab8012657875ef84e6e7daa60560bbdd9062078c876a826057f3f3eaf1697ce046a82756ee6eb6a8b819eb51245367c9d5c8a72ee8e
+DIST petsc-3.16.0.tar.gz 16748960 BLAKE2B 87f9fdb79a9c44e5f476fa4746ad0cbe72f3eda9f6039f2e4743105626701d7c8d6c010fdb9d89becf8619288d0b7a60c8bc4e2fc0793eac5b39030b02c04fd9 SHA512 5280032fb4ec4d058733788bb0ae674e7400565e204133bd10ed88a2965230ec7adeaca2d498267ce661377ca7e6f9d948992206b1d679587606cb422c004655
diff --git a/sci-mathematics/petsc/files/petsc-3.16.0-fix_sandbox_violation.patch b/sci-mathematics/petsc/files/petsc-3.16.0-fix_sandbox_violation.patch
new file mode 100644
index 000000000000..d1ed880bddfd
--- /dev/null
+++ b/sci-mathematics/petsc/files/petsc-3.16.0-fix_sandbox_violation.patch
@@ -0,0 +1,15 @@
+--- a/config/PETSc/options/installDir.py
++++ b/config/PETSc/options/installDir.py
+@@ -40,13 +40,7 @@ class Configure(config.base.Configure):
+ self.dir = os.path.abspath(os.path.expanduser(self.framework.argDB['prefix']))
+ self.petscDir = self.dir
+ self.petscArch = ''
+- try:
+- os.makedirs(os.path.join(self.dir,'PETScTestDirectory'))
+- os.rmdir(os.path.join(self.dir,'PETScTestDirectory'))
+- except Exception as e:
+- self.logPrint('Error trying to to test write permissions on directory '+str(e))
+- self.installSudo = 'sudo '
+ else:
+ self.dir = os.path.abspath(os.path.join(self.petscdir.dir, self.arch.arch))
+ self.petscDir = self.petscdir.dir
diff --git a/sci-mathematics/petsc/petsc-3.16.0.ebuild b/sci-mathematics/petsc/petsc-3.16.0.ebuild
new file mode 100644
index 000000000000..f39f87d8c281
--- /dev/null
+++ b/sci-mathematics/petsc/petsc-3.16.0.ebuild
@@ -0,0 +1,192 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit flag-o-matic fortran-2 python-any-r1 toolchain-funcs
+
+DESCRIPTION="Portable, Extensible Toolkit for Scientific Computation"
+HOMEPAGE="https://www.mcs.anl.gov/petsc/"
+SRC_URI="http://ftp.mcs.anl.gov/pub/petsc/release-snapshots/${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-fftw-without-mpi.patch.bz2"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="afterimage boost complex-scalars cxx debug fftw
+ fortran hdf5 hypre mpi metis mumps scotch sparse superlu threads X"
+
+# hypre and superlu curretly exclude each other due to missing linking to hypre
+# if both are enabled
+REQUIRED_USE="
+ afterimage? ( X )
+ complex-scalars? ( !hypre !superlu )
+ hdf5? ( mpi )
+ hypre? ( cxx mpi !superlu )
+ mumps? ( mpi scotch )
+ scotch? ( mpi )
+ superlu? ( !hypre )
+"
+
+RDEPEND="
+ virtual/blas
+ virtual/lapack
+ afterimage? ( media-libs/libafterimage )
+ boost? ( dev-libs/boost )
+ fftw? ( sci-libs/fftw:3.0[mpi?] )
+ hdf5? ( sci-libs/hdf5[mpi?] )
+ hypre? ( >=sci-libs/hypre-2.18.0[mpi?] )
+ metis? ( >=sci-libs/parmetis-4 )
+ mpi? ( virtual/mpi[cxx?,fortran?] )
+ mumps? ( sci-libs/mumps[mpi?] sci-libs/scalapack )
+ scotch? ( sci-libs/scotch[mpi?] )
+ sparse? ( sci-libs/suitesparse >=sci-libs/cholmod-1.7.0 )
+ superlu? ( >=sci-libs/superlu-5 )
+ X? ( x11-libs/libX11 )
+"
+
+DEPEND="${RDEPEND}
+ ${PYTHON_DEPS}
+ virtual/pkgconfig
+ dev-util/cmake
+ sys-apps/which
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.7.0-disable-rpath.patch
+ "${FILESDIR}"/${P}-fix_sandbox_violation.patch
+ "${WORKDIR}"/${P}-fftw-without-mpi.patch
+)
+
+# petsc uses --with-blah=1 and --with-blah=0 to en/disable options
+petsc_enable() {
+ use "$1" && echo "--with-${2:-$1}=1" || echo "--with-${2:-$1}=0"
+}
+# add external library:
+# petsc_with use_flag libname libdir
+# petsc_with use_flag libname include linking_libs
+petsc_with() {
+ local myuse p=${2:-${1}}
+ if use ${1}; then
+ myuse="--with-${p}=1"
+ if [[ $# -ge 4 ]]; then
+ myuse="${myuse} --with-${p}-include=${EPREFIX}${3}"
+ shift 3
+ myuse="${myuse} --with-${p}-lib=$@"
+ else
+ myuse="${myuse} --with-${p}-dir=${EPREFIX}${3:-/usr}"
+ fi
+ else
+ myuse="--with-${p}=0"
+ fi
+ echo ${myuse}
+}
+
+# select between configure options depending on use flag
+petsc_select() {
+ use "$1" && echo "--with-$2=$3" || echo "--with-$2=$4"
+}
+
+src_configure() {
+ # bug 548498
+ # PETSc runs mpi processes during configure that result in a sandbox
+ # violation by trying to open /proc/mtrr rw. This is not easy to
+ # mitigate because it happens in libpciaccess.so called by libhwloc.so,
+ # which is used by libmpi.so.
+ addpredict /proc/mtrr
+ # if mpi is built with knem support it needs /dev/knem too
+ addpredict /dev/knem
+
+ # configureMPITypes with openmpi-2* insists on accessing the scaling
+ # governor rw.
+ addpredict /sys/devices/system/cpu/
+
+ # bug 771711
+ # configureMPIEXEC and configureMPITypes access /dev/nvidiactl
+ addpredict /dev/nvidiactl
+
+ # bug 810841
+ addpredict /dev/kfd
+
+ local mylang
+ local myopt
+
+ use cxx && mylang="cxx" || mylang="c"
+ use debug && myopt="debug" || myopt="opt"
+
+ # environmental variables expected by petsc during build
+
+ export PETSC_DIR="${S}"
+ export PETSC_ARCH="linux-gnu-${mylang}-${myopt}"
+
+ if use debug; then
+ strip-flags
+ filter-flags -O*
+ fi
+
+ # C Support on CXX builds is enabled if possible i.e. when not using
+ # complex scalars (no complex type for both available at the same time)
+
+ econf \
+ scrollOutput=1 \
+ FFLAGS="${FFLAGS} -fPIC" \
+ CFLAGS="${CFLAGS} -fPIC" \
+ CXXFLAGS="${CXXFLAGS} -fPIC" \
+ LDFLAGS="${LDFLAGS}" \
+ --prefix="${EPREFIX}/usr/$(get_libdir)/petsc" \
+ --with-shared-libraries \
+ --with-single-library \
+ --with-clanguage=${mylang} \
+ $(use cxx && ! use complex-scalars && echo "with-c-support=1") \
+ --with-petsc-arch=${PETSC_ARCH} \
+ --with-precision=double \
+ --with-gnu-compilers \
+ --with-blas-lapack-lib="$($(tc-getPKG_CONFIG) --libs blas lapack)" \
+ $(petsc_enable debug debugging) \
+ $(petsc_enable mpi) \
+ $(petsc_select mpi cc mpicc $(tc-getCC)) \
+ $(petsc_select mpi cxx mpicxx $(tc-getCXX)) \
+ $(petsc_enable fortran) \
+ $(use fortran && echo "$(petsc_select mpi fc mpif77 $(tc-getF77))") \
+ $(petsc_enable mpi mpi-compilers) \
+ $(petsc_select complex-scalars scalar-type complex real) \
+ --with-windows-graphics=0 \
+ --with-matlab=0 \
+ --with-cmake:BOOL=1 \
+ $(petsc_enable threads pthread) \
+ $(petsc_with afterimage afterimage \
+ /usr/include/libAfterImage -lAfterImage) \
+ $(use_with hdf5) \
+ $(petsc_with hypre hypre \
+ /usr/include/hypre -lHYPRE) \
+ $(use_with sparse suitesparse) \
+ $(petsc_with superlu superlu \
+ /usr/include/superlu -lsuperlu) \
+ $(use_with X x) \
+ $(use_with X x11) \
+ $(petsc_with scotch ptscotch \
+ /usr/include/scotch \
+ [-lptesmumps,-lptscotch,-lptscotcherr,-lscotch,-lscotcherr]) \
+ $(petsc_with mumps scalapack \
+ /usr/include/scalapack -lscalapack) \
+ $(use_with mumps mumps \
+ /usr/include \
+ [-lcmumps,-ldmumps,-lsmumps,-lzmumps,-lmumps_common,-lpord]) \
+ --with-imagemagick=0 \
+ --with-python=0 \
+ $(use_with boost) \
+ $(use_with fftw)
+}
+
+src_install() {
+ emake DESTDIR="${ED}" install
+
+ # add PETSC_DIR to environmental variables
+ cat >> 99petsc <<- EOF
+ PETSC_DIR=${EPREFIX}/usr/$(get_libdir)/petsc
+ LDPATH=${EPREFIX}/usr/$(get_libdir)/petsc/lib
+ EOF
+ doenvd 99petsc
+}
diff --git a/sys-kernel/linux-headers/linux-headers-5.15.ebuild b/sys-kernel/linux-headers/linux-headers-5.15-r1.ebuild
index 8ac754c008de..ec21c8e94f69 100644
--- a/sys-kernel/linux-headers/linux-headers-5.15.ebuild
+++ b/sys-kernel/linux-headers/linux-headers-5.15-r1.ebuild
@@ -30,6 +30,11 @@ src_unpack() {
}
src_prepare() {
+ if use elibc_musl ; then
+ # TODO: May need forward porting to newer versions
+ eapply "${FILESDIR}"/${PN}-5.10-Use-stddefs.h-instead-of-compiler.h.patch
+ fi
+
# avoid kernel-2_src_prepare
default
}
diff --git a/www-client/google-chrome-beta/Manifest b/www-client/google-chrome-beta/Manifest
index de1e530d48e0..225bfd4b6e8e 100644
--- a/www-client/google-chrome-beta/Manifest
+++ b/www-client/google-chrome-beta/Manifest
@@ -1 +1 @@
-DIST google-chrome-beta_97.0.4692.20-1_amd64.deb 90828080 BLAKE2B 9c38dbcda8d4ab988eb45d08d4e809f96a47e231e32aaad15d07258c22366d4b342c1a8add60a50f6fe6abe468d4029bb0b5da017e08ff5156fa3e30c2126fcf SHA512 05a402acfbffef6f6f060c99804be445e8c34e3d94c11c524c0d61540ad2eebdc91749d421ff1ecc393a26fd48df4bfe545b27ac2512c2a6f7403d3d4c22a70d
+DIST google-chrome-beta_97.0.4692.36-1_amd64.deb 89896480 BLAKE2B 11798528e68917e0dc6967e1833c8cf4f5d587a1df6410fee21a74517e829f732c948aaef6e59c82fd7a259608fecf046edb44234c2f9b133542d7aa5f6abb7f SHA512 8dc638ed40dfe017c2790b2875c8ecef8990e2e358c34a0042e23cdeedcbca38104f2854730aacd50735d2c93b9509b95f996ef0b120324fe2744cf792870b50
diff --git a/www-client/google-chrome-beta/google-chrome-beta-97.0.4692.20.ebuild b/www-client/google-chrome-beta/google-chrome-beta-97.0.4692.36.ebuild
index 56dba81cca90..56dba81cca90 100644
--- a/www-client/google-chrome-beta/google-chrome-beta-97.0.4692.20.ebuild
+++ b/www-client/google-chrome-beta/google-chrome-beta-97.0.4692.36.ebuild
diff --git a/www-client/google-chrome-unstable/Manifest b/www-client/google-chrome-unstable/Manifest
index 57d928409eb8..2b2e7ed4aafb 100644
--- a/www-client/google-chrome-unstable/Manifest
+++ b/www-client/google-chrome-unstable/Manifest
@@ -1 +1 @@
-DIST google-chrome-unstable_98.0.4710.4-1_amd64.deb 89631032 BLAKE2B a48510f1639d1f5722388aa689677afb3c0c2df82696095ea62947db1f509f80b1d291a5d330907d98b401295204a9277c875107414a4938dcc7a76d4c983fca SHA512 a340b43c0715988e1a28689abbde2cbf2ccb9bf1adf2345a5afd855a9ac17f184c657e3ccf683dfa3ec8cf1f52e23da9e84e0601a359945304a1d0bdac36b9bd
+DIST google-chrome-unstable_98.0.4736.0-1_amd64.deb 90041808 BLAKE2B 8e7c91c143afaa3fa09ae5ed5791bc094c4e8ff7353156b36edd1a6d82deac9955e912d035fa71da15dba9b058e8de5bfeada5a295abab58e9f8462160c51ee4 SHA512 3ddff494e846e5a258b51dc6c56e58f71d746adf7d546815319b3cd66edf9d890a7b51f2109b2c066a7cd80bd207920ce065a4df7a55652dd9990ea364b5d32a
diff --git a/www-client/google-chrome-unstable/google-chrome-unstable-98.0.4710.4.ebuild b/www-client/google-chrome-unstable/google-chrome-unstable-98.0.4736.0.ebuild
index 56dba81cca90..56dba81cca90 100644
--- a/www-client/google-chrome-unstable/google-chrome-unstable-98.0.4710.4.ebuild
+++ b/www-client/google-chrome-unstable/google-chrome-unstable-98.0.4736.0.ebuild
diff --git a/www-client/w3m/Manifest b/www-client/w3m/Manifest
index 0f12153d81dd..5a4035f86651 100644
--- a/www-client/w3m/Manifest
+++ b/www-client/w3m/Manifest
@@ -1,3 +1 @@
-DIST w3m-0.5.3+git20180125.tar.gz 2181743 BLAKE2B d0766fa215be971ba280e4933ee9521ac4b7806f77ced5be4de58a5e28fa478e29a9102d101174f8d216cb982827b347c0fbcbfc494068d1cb8e443e73df7228 SHA512 61b8498b927569937c509460e291eeba6eb302d34ccd6e1bf4d1eb07ac73a3ac5a477161727d310324625be04b907f8c3e970382d08c9fa0846b371699f04e14
-DIST w3m-0.5.3+git20190105.tar.gz 2183651 BLAKE2B 624fe3b8c1daa2a6d4ce21e051ee363a29114bdb64e0e0d9864b8098f2a12bcb27e293fa3dfa4dc1dff691fa40046f4878b7d39c321f591d3689d00e3ed42bad SHA512 b63b15d0bea82f50bcaa9fc0826c2d3c265a3ad73069b4a020812f28b552cdf08618ab877280c9f3a43bd64f51b80b7a526098e6395ea121c0981a3fcd2562b4
DIST w3m-0.5.3+git20210102.tar.gz 2189272 BLAKE2B f82c13c26b1c83cda90655abdcf30422e257a5c2e48c32d5636a70f895078d11a95fc6ce623fa94624bb2a1125b71e7654d872dfb91fd86c4290278de3cf88f8 SHA512 357eeecf0f63bfd5174c9670533882323879657bdecefd0758d853ca645e368331bfdf91e99c0917f19829e184ce892ecdc99bd865851707d93baccfb4b97632
diff --git a/www-client/w3m/files/w3m-img-fb.patch b/www-client/w3m/files/w3m-img-fb.patch
deleted file mode 100644
index 677d89d3bcd1..000000000000
--- a/www-client/w3m/files/w3m-img-fb.patch
+++ /dev/null
@@ -1,10 +0,0 @@
---- a/w3mimg/fb/fb_imlib2.c
-+++ b/w3mimg/fb/fb_imlib2.c
-@@ -3,7 +3,6 @@
- fb_imlib2.c 0.3 Copyright (C) 2002, hito
- **************************************************************************/
-
--#include <X11/Xlib.h>
- #include <Imlib2.h>
- #include "fb.h"
- #include "fb_img.h"
diff --git a/www-client/w3m/w3m-0.5.3_p20180125.ebuild b/www-client/w3m/w3m-0.5.3_p20180125.ebuild
deleted file mode 100644
index 8803120d72f6..000000000000
--- a/www-client/w3m/w3m-0.5.3_p20180125.ebuild
+++ /dev/null
@@ -1,129 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="6"
-
-inherit autotools prefix toolchain-funcs vcs-snapshot
-
-MY_P="${P/_p/+git}"
-MY_PV="${PV/_p/+git}"
-
-DESCRIPTION="Text based WWW browser, supports tables and frames"
-HOMEPAGE="https://github.com/tats/w3m"
-SRC_URI="https://github.com/tats/${PN}/archive/v${MY_PV}.tar.gz -> ${MY_P}.tar.gz"
-
-LICENSE="w3m"
-SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="X fbcon gdk-pixbuf gpm imlib l10n_de l10n_ja lynxkeymap nls nntp ssl unicode xface"
-REQUIRED_USE="X? ( ?? ( gdk-pixbuf imlib ) )
- fbcon? ( ?? ( gdk-pixbuf imlib ) )"
-
-RDEPEND="dev-libs/boehm-gc:=
- sys-libs/ncurses:0=
- sys-libs/zlib
- X? (
- x11-libs/libXdmcp
- x11-libs/libXext
- )
- gdk-pixbuf? (
- x11-libs/gdk-pixbuf
- X? ( x11-libs/gdk-pixbuf-xlib )
- )
- !gdk-pixbuf? (
- imlib? ( media-libs/imlib2[X?] )
- )
- gpm? ( sys-libs/gpm )
- ssl? (
- dev-libs/openssl:0=
- )
- xface? ( media-libs/compface )"
-DEPEND="${RDEPEND}
- virtual/pkgconfig"
-S="${WORKDIR}/${MY_P}"
-
-PATCHES=( "${FILESDIR}/${PN}-img-fb.patch" )
-
-src_prepare() {
- default
- sed -i "/^AR=/s:ar:$(tc-getAR):" {.,${PN}img,libwc}/Makefile.in
- hprefixify acinclude.m4
- eautoconf
-}
-
-src_configure() {
- local myconf=()
- local image imagelib
-
- if use gdk-pixbuf; then
- imagelib="gtk2"
- elif use imlib; then
- imagelib="imlib2"
- fi
- if [[ -n "${imagelib}" ]]; then
- use X && image="${image}${image:+,}x11"
- use fbcon && image="${image}${image:+,}fb"
- fi
- # emacs-w3m doesn't like "--enable-m17n --disable-unicode,"
- # so we better enable or disable both. Default to enable
- # m17n and unicode, see bug #47046.
- if use l10n_ja; then
- myconf+=( --enable-japanese=$(usex unicode U E) )
- else
- myconf+=( --with-charset=$(usex unicode UTF-8 US-ASCII) )
- fi
- # lynxkeymap IUSE flag. bug #49397
- myconf+=( --enable-keymap=$(usex lynxkeymap lynx ${PN}) )
-
- econf \
- $(use_enable gpm mouse) \
- $(use_enable nls) \
- $(use_enable nntp) \
- $(use_enable ssl digest-auth) \
- $(use_enable xface) \
- $(use_with ssl) \
- --enable-image=${image:-no} \
- --enable-m17n \
- --enable-unicode \
- --with-browser="${EPREFIX}/usr/bin/xdg-open" \
- --with-editor="${EPREFIX}/usr/bin/vi" \
- --with-imagelib="${imagelib:-no}" \
- --with-mailer="${EPREFIX}/bin/mail" \
- --without-migemo \
- --with-termlib=yes \
- "${myconf[@]}"
-}
-
-src_install() {
- default
-
- # http://www.sic.med.tohoku.ac.jp/~satodai/w3m-dev/200307.month/3944.html
- insinto /etc/${PN}
- newins "${FILESDIR}"/${PN}.mailcap mailcap
-
- insinto /usr/share/${PN}/Bonus
- doins Bonus/{*.{cgi,rb},html*,makeref}
-
- docinto en
- dodoc doc/{HISTORY,README,keymap,menu}*
- newdoc Bonus/README.eng README.Bonus
- docinto html/en
- dodoc doc/*.html
- if use l10n_de; then
- docinto de
- dodoc doc-de/README*
- docinto html/de
- dodoc doc-de/*.html
- else
- rm -rf "${ED}"/usr/share/man/de
- fi
- if use l10n_ja; then
- docinto ja
- dodoc doc-jp/{HISTORY,README,keymap,menu}*
- newdoc Bonus/README README.Bonus
- docinto html/ja
- dodoc doc-jp/*.html
- else
- rm -rf "${ED}"/usr/share/man/ja
- fi
-}
diff --git a/www-client/w3m/w3m-0.5.3_p20190105.ebuild b/www-client/w3m/w3m-0.5.3_p20190105.ebuild
deleted file mode 100644
index a77ac32f05e8..000000000000
--- a/www-client/w3m/w3m-0.5.3_p20190105.ebuild
+++ /dev/null
@@ -1,127 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="6"
-
-inherit autotools prefix toolchain-funcs vcs-snapshot
-
-MY_P="${P/_p/+git}"
-MY_PV="${PV/_p/+git}"
-
-DESCRIPTION="Text based WWW browser, supports tables and frames"
-HOMEPAGE="https://github.com/tats/w3m"
-SRC_URI="https://github.com/tats/${PN}/archive/v${MY_PV}.tar.gz -> ${MY_P}.tar.gz"
-
-LICENSE="w3m"
-SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE="X fbcon gdk-pixbuf gpm imlib l10n_de l10n_ja lynxkeymap nls nntp ssl unicode xface"
-REQUIRED_USE="X? ( ?? ( gdk-pixbuf imlib ) )
- fbcon? ( ?? ( gdk-pixbuf imlib ) )"
-
-RDEPEND="dev-libs/boehm-gc:=
- sys-libs/ncurses:0=
- sys-libs/zlib
- X? (
- x11-libs/libXdmcp
- x11-libs/libXext
- )
- gdk-pixbuf? (
- x11-libs/gdk-pixbuf
- X? ( x11-libs/gdk-pixbuf-xlib )
- )
- !gdk-pixbuf? (
- imlib? ( media-libs/imlib2[X?] )
- )
- gpm? ( sys-libs/gpm )
- ssl? (
- dev-libs/openssl:0=
- )
- xface? ( media-libs/compface )"
-DEPEND="${RDEPEND}
- virtual/pkgconfig"
-S="${WORKDIR}/${MY_P}"
-
-src_prepare() {
- default
- sed -i "/^AR=/s:ar:$(tc-getAR):" {.,${PN}img,libwc}/Makefile.in
- hprefixify acinclude.m4
- eautoconf
-}
-
-src_configure() {
- local myconf=()
- local image imagelib
-
- if use gdk-pixbuf; then
- imagelib="gtk2"
- elif use imlib; then
- imagelib="imlib2"
- fi
- if [[ -n "${imagelib}" ]]; then
- use X && image="${image}${image:+,}x11"
- use fbcon && image="${image}${image:+,}fb"
- fi
- # emacs-w3m doesn't like "--enable-m17n --disable-unicode,"
- # so we better enable or disable both. Default to enable
- # m17n and unicode, see bug #47046.
- if use l10n_ja; then
- myconf+=( --enable-japanese=$(usex unicode U E) )
- else
- myconf+=( --with-charset=$(usex unicode UTF-8 US-ASCII) )
- fi
- # lynxkeymap IUSE flag. bug #49397
- myconf+=( --enable-keymap=$(usex lynxkeymap lynx ${PN}) )
-
- econf \
- $(use_enable gpm mouse) \
- $(use_enable nls) \
- $(use_enable nntp) \
- $(use_enable ssl digest-auth) \
- $(use_enable xface) \
- $(use_with ssl) \
- --enable-image=${image:-no} \
- --enable-m17n \
- --enable-unicode \
- --with-browser="${EPREFIX}/usr/bin/xdg-open" \
- --with-editor="${EPREFIX}/usr/bin/vi" \
- --with-imagelib="${imagelib:-no}" \
- --with-mailer="${EPREFIX}/bin/mail" \
- --without-migemo \
- --with-termlib=yes \
- "${myconf[@]}"
-}
-
-src_install() {
- default
-
- # http://www.sic.med.tohoku.ac.jp/~satodai/w3m-dev/200307.month/3944.html
- insinto /etc/${PN}
- newins "${FILESDIR}"/${PN}.mailcap mailcap
-
- insinto /usr/share/${PN}/Bonus
- doins Bonus/{*.{cgi,rb},html*,makeref}
-
- docinto en
- dodoc doc/{HISTORY,README,keymap,menu}*
- newdoc Bonus/README.eng README.Bonus
- docinto html/en
- dodoc doc/*.html
- if use l10n_de; then
- docinto de
- dodoc doc-de/README*
- docinto html/de
- dodoc doc-de/*.html
- else
- rm -rf "${ED}"/usr/share/man/de
- fi
- if use l10n_ja; then
- docinto ja
- dodoc doc-jp/{HISTORY,README,keymap,menu}*
- newdoc Bonus/README README.Bonus
- docinto html/ja
- dodoc doc-jp/*.html
- else
- rm -rf "${ED}"/usr/share/man/ja
- fi
-}
diff --git a/www-plugins/chrome-binary-plugins/Manifest b/www-plugins/chrome-binary-plugins/Manifest
index 00e4fdd62159..4fe24ea3ad9a 100644
--- a/www-plugins/chrome-binary-plugins/Manifest
+++ b/www-plugins/chrome-binary-plugins/Manifest
@@ -1,3 +1,3 @@
-DIST google-chrome-beta_97.0.4692.20-1_amd64.deb 90828080 BLAKE2B 9c38dbcda8d4ab988eb45d08d4e809f96a47e231e32aaad15d07258c22366d4b342c1a8add60a50f6fe6abe468d4029bb0b5da017e08ff5156fa3e30c2126fcf SHA512 05a402acfbffef6f6f060c99804be445e8c34e3d94c11c524c0d61540ad2eebdc91749d421ff1ecc393a26fd48df4bfe545b27ac2512c2a6f7403d3d4c22a70d
+DIST google-chrome-beta_97.0.4692.36-1_amd64.deb 89896480 BLAKE2B 11798528e68917e0dc6967e1833c8cf4f5d587a1df6410fee21a74517e829f732c948aaef6e59c82fd7a259608fecf046edb44234c2f9b133542d7aa5f6abb7f SHA512 8dc638ed40dfe017c2790b2875c8ecef8990e2e358c34a0042e23cdeedcbca38104f2854730aacd50735d2c93b9509b95f996ef0b120324fe2744cf792870b50
DIST google-chrome-stable_96.0.4664.45-1_amd64.deb 90769636 BLAKE2B 4231d97c052f4280e8d86e65b6be4ea65b2a461131145aa4f890af5a09ab4cf338292af53b9873e8b6e281445ba068e8dd9500ea03899cf658e5d86b66b96e7e SHA512 98433b003d43627e221faad212cba3df42d7f3d6e31894b1e14a9058069cbcd2bd3c83b3c59ecc1733dab11e36b181fa1d89e33b841a21fd53a8e82bbddc39aa
-DIST google-chrome-unstable_98.0.4710.4-1_amd64.deb 89631032 BLAKE2B a48510f1639d1f5722388aa689677afb3c0c2df82696095ea62947db1f509f80b1d291a5d330907d98b401295204a9277c875107414a4938dcc7a76d4c983fca SHA512 a340b43c0715988e1a28689abbde2cbf2ccb9bf1adf2345a5afd855a9ac17f184c657e3ccf683dfa3ec8cf1f52e23da9e84e0601a359945304a1d0bdac36b9bd
+DIST google-chrome-unstable_98.0.4736.0-1_amd64.deb 90041808 BLAKE2B 8e7c91c143afaa3fa09ae5ed5791bc094c4e8ff7353156b36edd1a6d82deac9955e912d035fa71da15dba9b058e8de5bfeada5a295abab58e9f8462160c51ee4 SHA512 3ddff494e846e5a258b51dc6c56e58f71d746adf7d546815319b3cd66edf9d890a7b51f2109b2c066a7cd80bd207920ce065a4df7a55652dd9990ea364b5d32a
diff --git a/www-plugins/chrome-binary-plugins/chrome-binary-plugins-97.0.4692.20_beta.ebuild b/www-plugins/chrome-binary-plugins/chrome-binary-plugins-97.0.4692.36_beta.ebuild
index e11c8c2a2bb2..e11c8c2a2bb2 100644
--- a/www-plugins/chrome-binary-plugins/chrome-binary-plugins-97.0.4692.20_beta.ebuild
+++ b/www-plugins/chrome-binary-plugins/chrome-binary-plugins-97.0.4692.36_beta.ebuild
diff --git a/www-plugins/chrome-binary-plugins/chrome-binary-plugins-98.0.4710.4_alpha.ebuild b/www-plugins/chrome-binary-plugins/chrome-binary-plugins-98.0.4736.0_alpha.ebuild
index e11c8c2a2bb2..e11c8c2a2bb2 100644
--- a/www-plugins/chrome-binary-plugins/chrome-binary-plugins-98.0.4710.4_alpha.ebuild
+++ b/www-plugins/chrome-binary-plugins/chrome-binary-plugins-98.0.4736.0_alpha.ebuild